.. AUTO-GENERATED FILE. DO NOT EDIT. layer-farm-batches-post-one =========================== Source ------ - Repository: ``jef-systems/jef-layer-farm-backend`` - Source Run ID: ``24916443201`` - Source SHA: ``04fc05c78cba84982ce19870a690a0b7b6a02d48`` - Module: ``layer-farm`` - Documentation Scope: ``async`` - Lambda: ``jef-layer-farm-post-1`` Endpoint -------- - API Name: ``jef-layer-farm`` - Action Name: ``post`` - Method: ``POST`` - Scope Label: ``Async`` - Resource Path: ``/layer-farm-batches-post-one`` - Complete Endpoint: ``https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-batches-post-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-layer-farm-post-1`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-layer-farm-post-1 API Name: jef-layer-farm Action: post Method: POST Resource Path: /layer-farm-batches-post-one Payload: - entity_number: string-4-digits-nonzerostart - batch_id: string-{batch-slug} - batch: string - start_date: string-yyyy-mm-dd - end_date: string-yyyy-mm-dd-optional - is_active: boolean - notes: string - is_deleted: boolean-optional Response: - exists: boolean - message: string - source: string when operation reaches DynamoDB - item: object when found/created/updated - key: object when not found or duplicate Request Payload --------------- .. code-block:: json { "entity_number": "string-4-digits-nonzerostart", "batch_id": "string-{batch-slug}", "batch": "string", "start_date": "string-yyyy-mm-dd", "end_date": "string-yyyy-mm-dd-optional", "is_active": "boolean", "notes": "string", "is_deleted": "boolean-optional" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "source": "string when operation reaches DynamoDB", "item": "object when found/created/updated", "key": "object when not found or duplicate" } CMD curl -------- .. code-block:: text curl -X POST "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-batches-post-one" -H "Content-Type: application/json" --data-raw "{\"entity_number\": \"string-4-digits-nonzerostart\", \"batch_id\": \"string-{batch-slug}\", \"batch\": \"string\", \"start_date\": \"string-yyyy-mm-dd\", \"end_date\": \"string-yyyy-mm-dd-optional\", \"is_active\": \"boolean\", \"notes\": \"string\", \"is_deleted\": \"boolean-optional\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X POST "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-batches-post-one" -H "Content-Type: application/json" --data-raw '{"entity_number": "string-4-digits-nonzerostart", "batch_id": "string-{batch-slug}", "batch": "string", "start_date": "string-yyyy-mm-dd", "end_date": "string-yyyy-mm-dd-optional", "is_active": "boolean", "notes": "string", "is_deleted": "boolean-optional"}'